BorlandGenerateClient (Apache Ant API)

Package org.apache.tools.ant.taskdefs.optional.ejb

## Class BorlandGenerateClient

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.ejb.BorlandGenerateClient

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class BorlandGenerateClient
      extends Task

  Generates a Borland Application Server 4.5 client JAR using as input the EJB JAR file. Two mode are available: java mode (default) and fork mode. With the fork mode, it is impossible to add classpath to the command line.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BorlandGenerateClient()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Path` | `createClasspath()` | Adds path to the classpath.
    `void` | `execute()` | Do the work.
    `protected void` | `executeFork()` | launch the generate client using system api.
    `protected void` | `executeForkV4()` | launch the generate client using system api.
    `protected void` | `executeForkV5()` | launch the generate client using system api.
    `protected void` | `executeJava()` | launch the generate client using java api.
    `void` | `setClasspath​(Path classpath)` | Path to use for classpath.
    `void` | `setClasspathRef​(Reference r)` | Reference to existing path, to use as a classpath.
    `void` | `setClientjar​(java.io.File clientjar)` | Client JAR file name.
    `void` | `setDebug​(boolean debug)` | If true, turn on the debug mode for each of the Borland tools launched.
    `void` | `setEjbjar​(java.io.File ejbfile)` | EJB JAR file.
    `void` | `setMode​(java.lang.String s)` | Command launching mode: java or fork.
    `void` | `setVersion​(int version)` | Set the version attribute.

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BorlandGenerateClient

          public BorlandGenerateClient()

  - ### Method Detail

    - #### setVersion

          public void setVersion​(int version)

      Set the version attribute.
      Parameters:
        `version` - the value to use.

    - #### setMode

          public void setMode​(java.lang.String s)

      Command launching mode: java or fork.
      Parameters:
        `s` - the mode to use.

    - #### setDebug

          public void setDebug​(boolean debug)

      If true, turn on the debug mode for each of the Borland tools launched.
      Parameters:
        `debug` - a `boolean` value.

    - #### setEjbjar

          public void setEjbjar​(java.io.File ejbfile)

      EJB JAR file.
      Parameters:
        `ejbfile` - the file to use.

    - #### setClientjar

          public void setClientjar​(java.io.File clientjar)

      Client JAR file name.
      Parameters:
        `clientjar` - the file to use.

    - #### setClasspath

          public void setClasspath​(Path classpath)

      Path to use for classpath.
      Parameters:
        `classpath` - the path to use.

    - #### createClasspath

          public Path createClasspath()

      Adds path to the classpath.
      Returns:
        a path to be configured as a nested element.

    - #### setClasspathRef

          public void setClasspathRef​(Reference r)

      Reference to existing path, to use as a classpath.
      Parameters:
        `r` - the reference to use.

    - #### execute

          public void execute()
                       throws BuildException

      Do the work. The work is actually done by creating a separate JVM to run a java task.
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - if something goes wrong with the build

    - #### executeJava

          protected void executeJava()
                              throws BuildException

      launch the generate client using java api.
      Throws:
        `BuildException` - if there is an error.

    - #### executeFork

          protected void executeFork()
                              throws BuildException

      launch the generate client using system api.
      Throws:
        `BuildException` - if there is an error.

    - #### executeForkV4

          protected void executeForkV4()
                                throws BuildException

      launch the generate client using system api.
      Throws:
        `BuildException` - if there is an error.

    - #### executeForkV5

          protected void executeForkV5()
                                throws BuildException

      launch the generate client using system api.
      Throws:
        `BuildException` - if there is an error.